#ifndef JOBSUBWINDOW_H
#define JOBSUBWINDOW_H

#include "qwidget.h"
#include <string>

#include "CertInfo.h"

#if QT_MAJOR > 2
class QTextEdit;
#else
class QMultiLineEdit;
#endif

class QFont;
class QPushButton;
class QGridLayout;
class QListBox;
class QLabel;
class QListBoxItem;

using namespace std;

class JobSubWindow : public QWidget
{
  Q_OBJECT

 public:
  JobSubWindow( QWidget* parent = 0, const char* name = 0 );
  ~JobSubWindow( );

  void setTextArea( QString );
  QString returnXrsl( );

 public slots:
  void submit( );
  void updateClusterlist( );
  void showInfo( QListBoxItem* );

 signals:
  void linemessage( const QString& );

 private:
#if QT_MAJOR == 2
  QMultiLineEdit* textEditor;
#else
  QTextEdit* textEditor;
#endif
  QFont* textFont;
  QPushButton* submitButton;
  QPushButton* clusterSelect;
  QGridLayout* screenLayout;
  QListBox* clusterView;
  QPushButton* updateClusters;
  QLabel* xRSLLabel;
  QLabel* clusterLabel;

  CertInfo user;

  void getLine( string&, string& );
};

#endif
